// qsys_core.v

// Generated using ACDS version 11.1sp2 259 at 2017.06.03.14:53:38

`timescale 1 ps / 1 ps
module qsys_core (
		output wire        timer0_zero_o,     // timer0.zero_o
		output wire        timer0_int_o,      //       .int_o
		input  wire        avm_cs_i,          //    avm.cs_i
		input  wire [9:0]  avm_address_i,     //       .address_i
		input  wire        avm_read_i,        //       .read_i
		output wire        avm_waitrequest_o, //       .waitrequest_o
		output wire [15:0] avm_readdata_o,    //       .readdata_o
		input  wire        avm_write_i,       //       .write_i
		input  wire [15:0] avm_writedata_i,   //       .writedata_i
		input  wire        reset_reset_n,     //  reset.reset_n
		output wire [15:0] gpio1_o,           //  gpio1.o
		input  wire [15:0] gpio1_i,           //       .i
		output wire [15:0] gpio0_o,           //  gpio0.o
		input  wire [15:0] gpio0_i,           //       .i
		input  wire        clk_clk            //    clk.clk
	);

	wire         cpu_avm_m0_waitrequest;                                                         // cpu_avm_m0_translator:av_waitrequest -> cpu_avm:avm_waitrequest
	wire  [15:0] cpu_avm_m0_writedata;                                                           // cpu_avm:avm_writedata -> cpu_avm_m0_translator:av_writedata
	wire   [9:0] cpu_avm_m0_address;                                                             // cpu_avm:avm_address -> cpu_avm_m0_translator:av_address
	wire         cpu_avm_m0_chipselect;                                                          // cpu_avm:avm_cs -> cpu_avm_m0_translator:av_chipselect
	wire         cpu_avm_m0_write;                                                               // cpu_avm:avm_write -> cpu_avm_m0_translator:av_write
	wire         cpu_avm_m0_read;                                                                // cpu_avm:avm_read -> cpu_avm_m0_translator:av_read
	wire  [15:0] cpu_avm_m0_readdata;                                                            // cpu_avm_m0_translator:av_readdata -> cpu_avm:avm_readdata
	wire  [15:0] gpio0_s0_translator_avalon_anti_slave_0_writedata;                              // gpio0_s0_translator:av_writedata -> gpio0:avs_writedata
	wire   [2:0] gpio0_s0_translator_avalon_anti_slave_0_address;                                // gpio0_s0_translator:av_address -> gpio0:avs_address
	wire         gpio0_s0_translator_avalon_anti_slave_0_write;                                  // gpio0_s0_translator:av_write -> gpio0:avs_write
	wire         gpio0_s0_translator_avalon_anti_slave_0_read;                                   // gpio0_s0_translator:av_read -> gpio0:avs_read
	wire  [15:0] gpio0_s0_translator_avalon_anti_slave_0_readdata;                               // gpio0:avs_readdata -> gpio0_s0_translator:av_readdata
	wire  [15:0] gpio1_s0_translator_avalon_anti_slave_0_writedata;                              // gpio1_s0_translator:av_writedata -> gpio1:avs_writedata
	wire   [2:0] gpio1_s0_translator_avalon_anti_slave_0_address;                                // gpio1_s0_translator:av_address -> gpio1:avs_address
	wire         gpio1_s0_translator_avalon_anti_slave_0_write;                                  // gpio1_s0_translator:av_write -> gpio1:avs_write
	wire         gpio1_s0_translator_avalon_anti_slave_0_read;                                   // gpio1_s0_translator:av_read -> gpio1:avs_read
	wire  [15:0] gpio1_s0_translator_avalon_anti_slave_0_readdata;                               // gpio1:avs_readdata -> gpio1_s0_translator:av_readdata
	wire  [15:0] timer0_s0_translator_avalon_anti_slave_0_writedata;                             // timer0_s0_translator:av_writedata -> timer0:avs_writedata
	wire   [2:0] timer0_s0_translator_avalon_anti_slave_0_address;                               // timer0_s0_translator:av_address -> timer0:avs_address
	wire         timer0_s0_translator_avalon_anti_slave_0_write;                                 // timer0_s0_translator:av_write -> timer0:avs_write
	wire         timer0_s0_translator_avalon_anti_slave_0_read;                                  // timer0_s0_translator:av_read -> timer0:avs_read
	wire  [15:0] timer0_s0_translator_avalon_anti_slave_0_readdata;                              // timer0:avs_readdata -> timer0_s0_translator:av_readdata
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest;             // timer0_s0_translator:uav_waitrequest -> timer0_s0_translator_avalon_universal_slave_0_agent:m0_waitrequest
	wire   [1:0] timer0_s0_translator_avalon_universal_slave_0_agent_m0_burstcount;              // timer0_s0_translator_avalon_universal_slave_0_agent:m0_burstcount -> timer0_s0_translator:uav_burstcount
	wire  [15:0] timer0_s0_translator_avalon_universal_slave_0_agent_m0_writedata;               // timer0_s0_translator_avalon_universal_slave_0_agent:m0_writedata -> timer0_s0_translator:uav_writedata
	wire   [9:0] timer0_s0_translator_avalon_universal_slave_0_agent_m0_address;                 // timer0_s0_translator_avalon_universal_slave_0_agent:m0_address -> timer0_s0_translator:uav_address
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_m0_write;                   // timer0_s0_translator_avalon_universal_slave_0_agent:m0_write -> timer0_s0_translator:uav_write
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_m0_lock;                    // timer0_s0_translator_avalon_universal_slave_0_agent:m0_lock -> timer0_s0_translator:uav_lock
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_m0_read;                    // timer0_s0_translator_avalon_universal_slave_0_agent:m0_read -> timer0_s0_translator:uav_read
	wire  [15:0] timer0_s0_translator_avalon_universal_slave_0_agent_m0_readdata;                // timer0_s0_translator:uav_readdata -> timer0_s0_translator_avalon_universal_slave_0_agent:m0_readdata
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid;           // timer0_s0_translator:uav_readdatavalid -> timer0_s0_translator_avalon_universal_slave_0_agent:m0_readdatavalid
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess;             // timer0_s0_translator_avalon_universal_slave_0_agent:m0_debugaccess -> timer0_s0_translator:uav_debugaccess
	wire   [1:0] timer0_s0_translator_avalon_universal_slave_0_agent_m0_byteenable;              // timer0_s0_translator_avalon_universal_slave_0_agent:m0_byteenable -> timer0_s0_translator:uav_byteenable
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket;      // timer0_s0_translator_avalon_universal_slave_0_agent:rf_source_endofpacket -> timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_endofpacket
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_valid;            // timer0_s0_translator_avalon_universal_slave_0_agent:rf_source_valid -> timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_valid
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket;    // timer0_s0_translator_avalon_universal_slave_0_agent:rf_source_startofpacket -> timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_startofpacket
	wire  [43:0] timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_data;             // timer0_s0_translator_avalon_universal_slave_0_agent:rf_source_data -> timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_data
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_ready;            // timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_ready -> timer0_s0_translator_avalon_universal_slave_0_agent:rf_source_ready
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket;   // timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_endofpacket -> timer0_s0_translator_avalon_universal_slave_0_agent:rf_sink_endofpacket
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid;         // timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_valid -> timer0_s0_translator_avalon_universal_slave_0_agent:rf_sink_valid
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket; // timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_startofpacket -> timer0_s0_translator_avalon_universal_slave_0_agent:rf_sink_startofpacket
	wire  [43:0] timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data;          // timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_data -> timer0_s0_translator_avalon_universal_slave_0_agent:rf_sink_data
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready;         // timer0_s0_translator_avalon_universal_slave_0_agent:rf_sink_ready -> timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_ready
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid;       // timer0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_valid -> timer0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_valid
	wire  [15:0] timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data;        // timer0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_data -> timer0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_data
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready;       // timer0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_ready -> timer0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_ready
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest;              // gpio1_s0_translator:uav_waitrequest -> gpio1_s0_translator_avalon_universal_slave_0_agent:m0_waitrequest
	wire   [1:0] gpio1_s0_translator_avalon_universal_slave_0_agent_m0_burstcount;               // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_burstcount -> gpio1_s0_translator:uav_burstcount
	wire  [15:0] gpio1_s0_translator_avalon_universal_slave_0_agent_m0_writedata;                // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_writedata -> gpio1_s0_translator:uav_writedata
	wire   [9:0] gpio1_s0_translator_avalon_universal_slave_0_agent_m0_address;                  // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_address -> gpio1_s0_translator:uav_address
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_m0_write;                    // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_write -> gpio1_s0_translator:uav_write
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_m0_lock;                     // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_lock -> gpio1_s0_translator:uav_lock
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_m0_read;                     // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_read -> gpio1_s0_translator:uav_read
	wire  [15:0] gpio1_s0_translator_avalon_universal_slave_0_agent_m0_readdata;                 // gpio1_s0_translator:uav_readdata -> gpio1_s0_translator_avalon_universal_slave_0_agent:m0_readdata
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid;            // gpio1_s0_translator:uav_readdatavalid -> gpio1_s0_translator_avalon_universal_slave_0_agent:m0_readdatavalid
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess;              // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_debugaccess -> gpio1_s0_translator:uav_debugaccess
	wire   [1:0] gpio1_s0_translator_avalon_universal_slave_0_agent_m0_byteenable;               // gpio1_s0_translator_avalon_universal_slave_0_agent:m0_byteenable -> gpio1_s0_translator:uav_byteenable
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket;       // gpio1_s0_translator_avalon_universal_slave_0_agent:rf_source_endofpacket -> gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_endofpacket
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_valid;             // gpio1_s0_translator_avalon_universal_slave_0_agent:rf_source_valid -> gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_valid
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket;     // gpio1_s0_translator_avalon_universal_slave_0_agent:rf_source_startofpacket -> gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_startofpacket
	wire  [43:0] gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_data;              // gpio1_s0_translator_avalon_universal_slave_0_agent:rf_source_data -> gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_data
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_ready;             // gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_ready -> gpio1_s0_translator_avalon_universal_slave_0_agent:rf_source_ready
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket;    // gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_endofpacket -> gpio1_s0_translator_avalon_universal_slave_0_agent:rf_sink_endofpacket
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid;          // gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_valid -> gpio1_s0_translator_avalon_universal_slave_0_agent:rf_sink_valid
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket;  // gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_startofpacket -> gpio1_s0_translator_avalon_universal_slave_0_agent:rf_sink_startofpacket
	wire  [43:0] gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data;           // gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_data -> gpio1_s0_translator_avalon_universal_slave_0_agent:rf_sink_data
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready;          // gpio1_s0_translator_avalon_universal_slave_0_agent:rf_sink_ready -> gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_ready
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid;        // gpio1_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_valid -> gpio1_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_valid
	wire  [15:0] gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data;         // gpio1_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_data -> gpio1_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_data
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready;        // gpio1_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_ready -> gpio1_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_ready
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest;              // gpio0_s0_translator:uav_waitrequest -> gpio0_s0_translator_avalon_universal_slave_0_agent:m0_waitrequest
	wire   [1:0] gpio0_s0_translator_avalon_universal_slave_0_agent_m0_burstcount;               // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_burstcount -> gpio0_s0_translator:uav_burstcount
	wire  [15:0] gpio0_s0_translator_avalon_universal_slave_0_agent_m0_writedata;                // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_writedata -> gpio0_s0_translator:uav_writedata
	wire   [9:0] gpio0_s0_translator_avalon_universal_slave_0_agent_m0_address;                  // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_address -> gpio0_s0_translator:uav_address
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_m0_write;                    // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_write -> gpio0_s0_translator:uav_write
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_m0_lock;                     // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_lock -> gpio0_s0_translator:uav_lock
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_m0_read;                     // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_read -> gpio0_s0_translator:uav_read
	wire  [15:0] gpio0_s0_translator_avalon_universal_slave_0_agent_m0_readdata;                 // gpio0_s0_translator:uav_readdata -> gpio0_s0_translator_avalon_universal_slave_0_agent:m0_readdata
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid;            // gpio0_s0_translator:uav_readdatavalid -> gpio0_s0_translator_avalon_universal_slave_0_agent:m0_readdatavalid
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess;              // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_debugaccess -> gpio0_s0_translator:uav_debugaccess
	wire   [1:0] gpio0_s0_translator_avalon_universal_slave_0_agent_m0_byteenable;               // gpio0_s0_translator_avalon_universal_slave_0_agent:m0_byteenable -> gpio0_s0_translator:uav_byteenable
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket;       // gpio0_s0_translator_avalon_universal_slave_0_agent:rf_source_endofpacket -> gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_endofpacket
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_valid;             // gpio0_s0_translator_avalon_universal_slave_0_agent:rf_source_valid -> gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_valid
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket;     // gpio0_s0_translator_avalon_universal_slave_0_agent:rf_source_startofpacket -> gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_startofpacket
	wire  [43:0] gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_data;              // gpio0_s0_translator_avalon_universal_slave_0_agent:rf_source_data -> gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_data
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_ready;             // gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:in_ready -> gpio0_s0_translator_avalon_universal_slave_0_agent:rf_source_ready
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket;    // gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_endofpacket -> gpio0_s0_translator_avalon_universal_slave_0_agent:rf_sink_endofpacket
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid;          // gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_valid -> gpio0_s0_translator_avalon_universal_slave_0_agent:rf_sink_valid
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket;  // gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_startofpacket -> gpio0_s0_translator_avalon_universal_slave_0_agent:rf_sink_startofpacket
	wire  [43:0] gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data;           // gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_data -> gpio0_s0_translator_avalon_universal_slave_0_agent:rf_sink_data
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready;          // gpio0_s0_translator_avalon_universal_slave_0_agent:rf_sink_ready -> gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo:out_ready
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid;        // gpio0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_valid -> gpio0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_valid
	wire  [15:0] gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data;         // gpio0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_data -> gpio0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_data
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready;        // gpio0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_sink_ready -> gpio0_s0_translator_avalon_universal_slave_0_agent:rdata_fifo_src_ready
	wire         cpu_avm_m0_translator_avalon_universal_master_0_waitrequest;                    // cpu_avm_m0_translator_avalon_universal_master_0_agent:av_waitrequest -> cpu_avm_m0_translator:uav_waitrequest
	wire   [1:0] cpu_avm_m0_translator_avalon_universal_master_0_burstcount;                     // cpu_avm_m0_translator:uav_burstcount -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_burstcount
	wire  [15:0] cpu_avm_m0_translator_avalon_universal_master_0_writedata;                      // cpu_avm_m0_translator:uav_writedata -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_writedata
	wire   [9:0] cpu_avm_m0_translator_avalon_universal_master_0_address;                        // cpu_avm_m0_translator:uav_address -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_address
	wire         cpu_avm_m0_translator_avalon_universal_master_0_lock;                           // cpu_avm_m0_translator:uav_lock -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_lock
	wire         cpu_avm_m0_translator_avalon_universal_master_0_write;                          // cpu_avm_m0_translator:uav_write -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_write
	wire         cpu_avm_m0_translator_avalon_universal_master_0_read;                           // cpu_avm_m0_translator:uav_read -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_read
	wire  [15:0] cpu_avm_m0_translator_avalon_universal_master_0_readdata;                       // cpu_avm_m0_translator_avalon_universal_master_0_agent:av_readdata -> cpu_avm_m0_translator:uav_readdata
	wire         cpu_avm_m0_translator_avalon_universal_master_0_debugaccess;                    // cpu_avm_m0_translator:uav_debugaccess -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_debugaccess
	wire   [1:0] cpu_avm_m0_translator_avalon_universal_master_0_byteenable;                     // cpu_avm_m0_translator:uav_byteenable -> cpu_avm_m0_translator_avalon_universal_master_0_agent:av_byteenable
	wire         cpu_avm_m0_translator_avalon_universal_master_0_readdatavalid;                  // cpu_avm_m0_translator_avalon_universal_master_0_agent:av_readdatavalid -> cpu_avm_m0_translator:uav_readdatavalid
	wire         cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_endofpacket;           // cpu_avm_m0_translator_avalon_universal_master_0_agent:cp_endofpacket -> addr_router:sink_endofpacket
	wire         cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_valid;                 // cpu_avm_m0_translator_avalon_universal_master_0_agent:cp_valid -> addr_router:sink_valid
	wire         cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_startofpacket;         // cpu_avm_m0_translator_avalon_universal_master_0_agent:cp_startofpacket -> addr_router:sink_startofpacket
	wire  [42:0] cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_data;                  // cpu_avm_m0_translator_avalon_universal_master_0_agent:cp_data -> addr_router:sink_data
	wire         cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_ready;                 // addr_router:sink_ready -> cpu_avm_m0_translator_avalon_universal_master_0_agent:cp_ready
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket;              // gpio0_s0_translator_avalon_universal_slave_0_agent:rp_endofpacket -> id_router:sink_endofpacket
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rp_valid;                    // gpio0_s0_translator_avalon_universal_slave_0_agent:rp_valid -> id_router:sink_valid
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket;            // gpio0_s0_translator_avalon_universal_slave_0_agent:rp_startofpacket -> id_router:sink_startofpacket
	wire  [42:0] gpio0_s0_translator_avalon_universal_slave_0_agent_rp_data;                     // gpio0_s0_translator_avalon_universal_slave_0_agent:rp_data -> id_router:sink_data
	wire         gpio0_s0_translator_avalon_universal_slave_0_agent_rp_ready;                    // id_router:sink_ready -> gpio0_s0_translator_avalon_universal_slave_0_agent:rp_ready
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket;              // gpio1_s0_translator_avalon_universal_slave_0_agent:rp_endofpacket -> id_router_001:sink_endofpacket
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rp_valid;                    // gpio1_s0_translator_avalon_universal_slave_0_agent:rp_valid -> id_router_001:sink_valid
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket;            // gpio1_s0_translator_avalon_universal_slave_0_agent:rp_startofpacket -> id_router_001:sink_startofpacket
	wire  [42:0] gpio1_s0_translator_avalon_universal_slave_0_agent_rp_data;                     // gpio1_s0_translator_avalon_universal_slave_0_agent:rp_data -> id_router_001:sink_data
	wire         gpio1_s0_translator_avalon_universal_slave_0_agent_rp_ready;                    // id_router_001:sink_ready -> gpio1_s0_translator_avalon_universal_slave_0_agent:rp_ready
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket;             // timer0_s0_translator_avalon_universal_slave_0_agent:rp_endofpacket -> id_router_002:sink_endofpacket
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rp_valid;                   // timer0_s0_translator_avalon_universal_slave_0_agent:rp_valid -> id_router_002:sink_valid
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket;           // timer0_s0_translator_avalon_universal_slave_0_agent:rp_startofpacket -> id_router_002:sink_startofpacket
	wire  [42:0] timer0_s0_translator_avalon_universal_slave_0_agent_rp_data;                    // timer0_s0_translator_avalon_universal_slave_0_agent:rp_data -> id_router_002:sink_data
	wire         timer0_s0_translator_avalon_universal_slave_0_agent_rp_ready;                   // id_router_002:sink_ready -> timer0_s0_translator_avalon_universal_slave_0_agent:rp_ready
	wire         cmd_xbar_demux_src0_endofpacket;                                                // cmd_xbar_demux:src0_endofpacket -> gpio0_s0_translator_avalon_universal_slave_0_agent:cp_endofpacket
	wire         cmd_xbar_demux_src0_valid;                                                      // cmd_xbar_demux:src0_valid -> gpio0_s0_translator_avalon_universal_slave_0_agent:cp_valid
	wire         cmd_xbar_demux_src0_startofpacket;                                              // cmd_xbar_demux:src0_startofpacket -> gpio0_s0_translator_avalon_universal_slave_0_agent:cp_startofpacket
	wire  [42:0] cmd_xbar_demux_src0_data;                                                       // cmd_xbar_demux:src0_data -> gpio0_s0_translator_avalon_universal_slave_0_agent:cp_data
	wire   [2:0] cmd_xbar_demux_src0_channel;                                                    // cmd_xbar_demux:src0_channel -> gpio0_s0_translator_avalon_universal_slave_0_agent:cp_channel
	wire         cmd_xbar_demux_src1_endofpacket;                                                // cmd_xbar_demux:src1_endofpacket -> gpio1_s0_translator_avalon_universal_slave_0_agent:cp_endofpacket
	wire         cmd_xbar_demux_src1_valid;                                                      // cmd_xbar_demux:src1_valid -> gpio1_s0_translator_avalon_universal_slave_0_agent:cp_valid
	wire         cmd_xbar_demux_src1_startofpacket;                                              // cmd_xbar_demux:src1_startofpacket -> gpio1_s0_translator_avalon_universal_slave_0_agent:cp_startofpacket
	wire  [42:0] cmd_xbar_demux_src1_data;                                                       // cmd_xbar_demux:src1_data -> gpio1_s0_translator_avalon_universal_slave_0_agent:cp_data
	wire   [2:0] cmd_xbar_demux_src1_channel;                                                    // cmd_xbar_demux:src1_channel -> gpio1_s0_translator_avalon_universal_slave_0_agent:cp_channel
	wire         cmd_xbar_demux_src2_endofpacket;                                                // cmd_xbar_demux:src2_endofpacket -> timer0_s0_translator_avalon_universal_slave_0_agent:cp_endofpacket
	wire         cmd_xbar_demux_src2_valid;                                                      // cmd_xbar_demux:src2_valid -> timer0_s0_translator_avalon_universal_slave_0_agent:cp_valid
	wire         cmd_xbar_demux_src2_startofpacket;                                              // cmd_xbar_demux:src2_startofpacket -> timer0_s0_translator_avalon_universal_slave_0_agent:cp_startofpacket
	wire  [42:0] cmd_xbar_demux_src2_data;                                                       // cmd_xbar_demux:src2_data -> timer0_s0_translator_avalon_universal_slave_0_agent:cp_data
	wire   [2:0] cmd_xbar_demux_src2_channel;                                                    // cmd_xbar_demux:src2_channel -> timer0_s0_translator_avalon_universal_slave_0_agent:cp_channel
	wire         rsp_xbar_demux_src0_endofpacket;                                                // rsp_xbar_demux:src0_endofpacket -> rsp_xbar_mux:sink0_endofpacket
	wire         rsp_xbar_demux_src0_valid;                                                      // rsp_xbar_demux:src0_valid -> rsp_xbar_mux:sink0_valid
	wire         rsp_xbar_demux_src0_startofpacket;                                              // rsp_xbar_demux:src0_startofpacket -> rsp_xbar_mux:sink0_startofpacket
	wire  [42:0] rsp_xbar_demux_src0_data;                                                       // rsp_xbar_demux:src0_data -> rsp_xbar_mux:sink0_data
	wire   [2:0] rsp_xbar_demux_src0_channel;                                                    // rsp_xbar_demux:src0_channel -> rsp_xbar_mux:sink0_channel
	wire         rsp_xbar_demux_src0_ready;                                                      // rsp_xbar_mux:sink0_ready -> rsp_xbar_demux:src0_ready
	wire         rsp_xbar_demux_001_src0_endofpacket;                                            // rsp_xbar_demux_001:src0_endofpacket -> rsp_xbar_mux:sink1_endofpacket
	wire         rsp_xbar_demux_001_src0_valid;                                                  // rsp_xbar_demux_001:src0_valid -> rsp_xbar_mux:sink1_valid
	wire         rsp_xbar_demux_001_src0_startofpacket;                                          // rsp_xbar_demux_001:src0_startofpacket -> rsp_xbar_mux:sink1_startofpacket
	wire  [42:0] rsp_xbar_demux_001_src0_data;                                                   // rsp_xbar_demux_001:src0_data -> rsp_xbar_mux:sink1_data
	wire   [2:0] rsp_xbar_demux_001_src0_channel;                                                // rsp_xbar_demux_001:src0_channel -> rsp_xbar_mux:sink1_channel
	wire         rsp_xbar_demux_001_src0_ready;                                                  // rsp_xbar_mux:sink1_ready -> rsp_xbar_demux_001:src0_ready
	wire         rsp_xbar_demux_002_src0_endofpacket;                                            // rsp_xbar_demux_002:src0_endofpacket -> rsp_xbar_mux:sink2_endofpacket
	wire         rsp_xbar_demux_002_src0_valid;                                                  // rsp_xbar_demux_002:src0_valid -> rsp_xbar_mux:sink2_valid
	wire         rsp_xbar_demux_002_src0_startofpacket;                                          // rsp_xbar_demux_002:src0_startofpacket -> rsp_xbar_mux:sink2_startofpacket
	wire  [42:0] rsp_xbar_demux_002_src0_data;                                                   // rsp_xbar_demux_002:src0_data -> rsp_xbar_mux:sink2_data
	wire   [2:0] rsp_xbar_demux_002_src0_channel;                                                // rsp_xbar_demux_002:src0_channel -> rsp_xbar_mux:sink2_channel
	wire         rsp_xbar_demux_002_src0_ready;                                                  // rsp_xbar_mux:sink2_ready -> rsp_xbar_demux_002:src0_ready
	wire         addr_router_src_endofpacket;                                                    // addr_router:src_endofpacket -> cmd_xbar_demux:sink_endofpacket
	wire         addr_router_src_valid;                                                          // addr_router:src_valid -> cmd_xbar_demux:sink_valid
	wire         addr_router_src_startofpacket;                                                  // addr_router:src_startofpacket -> cmd_xbar_demux:sink_startofpacket
	wire  [42:0] addr_router_src_data;                                                           // addr_router:src_data -> cmd_xbar_demux:sink_data
	wire   [2:0] addr_router_src_channel;                                                        // addr_router:src_channel -> cmd_xbar_demux:sink_channel
	wire         addr_router_src_ready;                                                          // cmd_xbar_demux:sink_ready -> addr_router:src_ready
	wire         rsp_xbar_mux_src_endofpacket;                                                   // rsp_xbar_mux:src_endofpacket -> cpu_avm_m0_translator_avalon_universal_master_0_agent:rp_endofpacket
	wire         rsp_xbar_mux_src_valid;                                                         // rsp_xbar_mux:src_valid -> cpu_avm_m0_translator_avalon_universal_master_0_agent:rp_valid
	wire         rsp_xbar_mux_src_startofpacket;                                                 // rsp_xbar_mux:src_startofpacket -> cpu_avm_m0_translator_avalon_universal_master_0_agent:rp_startofpacket
	wire  [42:0] rsp_xbar_mux_src_data;                                                          // rsp_xbar_mux:src_data -> cpu_avm_m0_translator_avalon_universal_master_0_agent:rp_data
	wire   [2:0] rsp_xbar_mux_src_channel;                                                       // rsp_xbar_mux:src_channel -> cpu_avm_m0_translator_avalon_universal_master_0_agent:rp_channel
	wire         rsp_xbar_mux_src_ready;                                                         // cpu_avm_m0_translator_avalon_universal_master_0_agent:rp_ready -> rsp_xbar_mux:src_ready
	wire         cmd_xbar_demux_src0_ready;                                                      // gpio0_s0_translator_avalon_universal_slave_0_agent:cp_ready -> cmd_xbar_demux:src0_ready
	wire         id_router_src_endofpacket;                                                      // id_router:src_endofpacket -> rsp_xbar_demux:sink_endofpacket
	wire         id_router_src_valid;                                                            // id_router:src_valid -> rsp_xbar_demux:sink_valid
	wire         id_router_src_startofpacket;                                                    // id_router:src_startofpacket -> rsp_xbar_demux:sink_startofpacket
	wire  [42:0] id_router_src_data;                                                             // id_router:src_data -> rsp_xbar_demux:sink_data
	wire   [2:0] id_router_src_channel;                                                          // id_router:src_channel -> rsp_xbar_demux:sink_channel
	wire         id_router_src_ready;                                                            // rsp_xbar_demux:sink_ready -> id_router:src_ready
	wire         cmd_xbar_demux_src1_ready;                                                      // gpio1_s0_translator_avalon_universal_slave_0_agent:cp_ready -> cmd_xbar_demux:src1_ready
	wire         id_router_001_src_endofpacket;                                                  // id_router_001:src_endofpacket -> rsp_xbar_demux_001:sink_endofpacket
	wire         id_router_001_src_valid;                                                        // id_router_001:src_valid -> rsp_xbar_demux_001:sink_valid
	wire         id_router_001_src_startofpacket;                                                // id_router_001:src_startofpacket -> rsp_xbar_demux_001:sink_startofpacket
	wire  [42:0] id_router_001_src_data;                                                         // id_router_001:src_data -> rsp_xbar_demux_001:sink_data
	wire   [2:0] id_router_001_src_channel;                                                      // id_router_001:src_channel -> rsp_xbar_demux_001:sink_channel
	wire         id_router_001_src_ready;                                                        // rsp_xbar_demux_001:sink_ready -> id_router_001:src_ready
	wire         cmd_xbar_demux_src2_ready;                                                      // timer0_s0_translator_avalon_universal_slave_0_agent:cp_ready -> cmd_xbar_demux:src2_ready
	wire         id_router_002_src_endofpacket;                                                  // id_router_002:src_endofpacket -> rsp_xbar_demux_002:sink_endofpacket
	wire         id_router_002_src_valid;                                                        // id_router_002:src_valid -> rsp_xbar_demux_002:sink_valid
	wire         id_router_002_src_startofpacket;                                                // id_router_002:src_startofpacket -> rsp_xbar_demux_002:sink_startofpacket
	wire  [42:0] id_router_002_src_data;                                                         // id_router_002:src_data -> rsp_xbar_demux_002:sink_data
	wire   [2:0] id_router_002_src_channel;                                                      // id_router_002:src_channel -> rsp_xbar_demux_002:sink_channel
	wire         id_router_002_src_ready;                                                        // rsp_xbar_demux_002:sink_ready -> id_router_002:src_ready

	cpu_avm_if #(
		.ADDRESS_WIDTH (10)
	) cpu_avm (
		.clk             (clk_clk),                //   clock.clk
		.reset           (~reset_reset_n),         //   reset.reset
		.avm_cs          (cpu_avm_m0_chipselect),  //      m0.chipselect
		.avm_address     (cpu_avm_m0_address),     //        .address
		.avm_read        (cpu_avm_m0_read),        //        .read
		.avm_waitrequest (cpu_avm_m0_waitrequest), //        .waitrequest
		.avm_readdata    (cpu_avm_m0_readdata),    //        .readdata
		.avm_write       (cpu_avm_m0_write),       //        .write
		.avm_writedata   (cpu_avm_m0_writedata),   //        .writedata
		.cs_i            (avm_cs_i),               // conduit.export
		.address_i       (avm_address_i),          //        .export
		.read_i          (avm_read_i),             //        .export
		.waitrequest_o   (avm_waitrequest_o),      //        .export
		.readdata_o      (avm_readdata_o),         //        .export
		.write_i         (avm_write_i),            //        .export
		.writedata_i     (avm_writedata_i)         //        .export
	);

	av_gpio_if gpio0 (
		.clk           (clk_clk),                                           //   clock.clk
		.reset         (~reset_reset_n),                                    //   reset.reset
		.avs_address   (gpio0_s0_translator_avalon_anti_slave_0_address),   //      s0.address
		.avs_read      (gpio0_s0_translator_avalon_anti_slave_0_read),      //        .read
		.avs_readdata  (gpio0_s0_translator_avalon_anti_slave_0_readdata),  //        .readdata
		.avs_write     (gpio0_s0_translator_avalon_anti_slave_0_write),     //        .write
		.avs_writedata (gpio0_s0_translator_avalon_anti_slave_0_writedata), //        .writedata
		.port_o        (gpio0_o),                                           // conduit.export
		.port_i        (gpio0_i)                                            //        .export
	);

	av_gpio_if gpio1 (
		.clk           (clk_clk),                                           //   clock.clk
		.reset         (~reset_reset_n),                                    //   reset.reset
		.avs_address   (gpio1_s0_translator_avalon_anti_slave_0_address),   //      s0.address
		.avs_read      (gpio1_s0_translator_avalon_anti_slave_0_read),      //        .read
		.avs_readdata  (gpio1_s0_translator_avalon_anti_slave_0_readdata),  //        .readdata
		.avs_write     (gpio1_s0_translator_avalon_anti_slave_0_write),     //        .write
		.avs_writedata (gpio1_s0_translator_avalon_anti_slave_0_writedata), //        .writedata
		.port_o        (gpio1_o),                                           // conduit.export
		.port_i        (gpio1_i)                                            //        .export
	);

	av_timer_if timer0 (
		.clk           (clk_clk),                                            //   clock.clk
		.reset         (~reset_reset_n),                                     //   reset.reset
		.avs_address   (timer0_s0_translator_avalon_anti_slave_0_address),   //      s0.address
		.avs_read      (timer0_s0_translator_avalon_anti_slave_0_read),      //        .read
		.avs_readdata  (timer0_s0_translator_avalon_anti_slave_0_readdata),  //        .readdata
		.avs_write     (timer0_s0_translator_avalon_anti_slave_0_write),     //        .write
		.avs_writedata (timer0_s0_translator_avalon_anti_slave_0_writedata), //        .writedata
		.zero_o        (timer0_zero_o),                                      // conduit.export
		.int_o         (timer0_int_o)                                        //        .export
	);

	altera_merlin_master_translator #(
		.AV_ADDRESS_W                (10),
		.AV_DATA_W                   (16),
		.AV_BURSTCOUNT_W             (1),
		.AV_BYTEENABLE_W             (2),
		.UAV_ADDRESS_W               (10),
		.UAV_BURSTCOUNT_W            (2),
		.USE_READ                    (1),
		.USE_WRITE                   (1),
		.USE_BEGINBURSTTRANSFER      (0),
		.USE_BEGINTRANSFER           (0),
		.USE_CHIPSELECT              (1),
		.USE_BURSTCOUNT              (0),
		.USE_READDATAVALID           (0),
		.USE_WAITREQUEST             (1),
		.AV_SYMBOLS_PER_WORD         (2),
		.AV_ADDRESS_SYMBOLS          (1),
		.AV_BURSTCOUNT_SYMBOLS       (0),
		.AV_CONSTANT_BURST_BEHAVIOR  (0),
		.UAV_CONSTANT_BURST_BEHAVIOR (0),
		.AV_LINEWRAPBURSTS           (0),
		.AV_REGISTERINCOMINGSIGNALS  (0)
	) cpu_avm_m0_translator (
		.clk                   (clk_clk),                                                       //                       clk.clk
		.reset                 (~reset_reset_n),                                                //                     reset.reset
		.uav_address           (cpu_avm_m0_translator_avalon_universal_master_0_address),       // avalon_universal_master_0.address
		.uav_burstcount        (cpu_avm_m0_translator_avalon_universal_master_0_burstcount),    //                          .burstcount
		.uav_read              (cpu_avm_m0_translator_avalon_universal_master_0_read),          //                          .read
		.uav_write             (cpu_avm_m0_translator_avalon_universal_master_0_write),         //                          .write
		.uav_waitrequest       (cpu_avm_m0_translator_avalon_universal_master_0_waitrequest),   //                          .waitrequest
		.uav_readdatavalid     (cpu_avm_m0_translator_avalon_universal_master_0_readdatavalid), //                          .readdatavalid
		.uav_byteenable        (cpu_avm_m0_translator_avalon_universal_master_0_byteenable),    //                          .byteenable
		.uav_readdata          (cpu_avm_m0_translator_avalon_universal_master_0_readdata),      //                          .readdata
		.uav_writedata         (cpu_avm_m0_translator_avalon_universal_master_0_writedata),     //                          .writedata
		.uav_lock              (cpu_avm_m0_translator_avalon_universal_master_0_lock),          //                          .lock
		.uav_debugaccess       (cpu_avm_m0_translator_avalon_universal_master_0_debugaccess),   //                          .debugaccess
		.av_address            (cpu_avm_m0_address),                                            //      avalon_anti_master_0.address
		.av_waitrequest        (cpu_avm_m0_waitrequest),                                        //                          .waitrequest
		.av_chipselect         (cpu_avm_m0_chipselect),                                         //                          .chipselect
		.av_read               (cpu_avm_m0_read),                                               //                          .read
		.av_readdata           (cpu_avm_m0_readdata),                                           //                          .readdata
		.av_write              (cpu_avm_m0_write),                                              //                          .write
		.av_writedata          (cpu_avm_m0_writedata),                                          //                          .writedata
		.av_burstcount         (1'b1),                                                          //               (terminated)
		.av_byteenable         (2'b11),                                                         //               (terminated)
		.av_beginbursttransfer (1'b0),                                                          //               (terminated)
		.av_begintransfer      (1'b0),                                                          //               (terminated)
		.av_readdatavalid      (),                                                              //               (terminated)
		.av_lock               (1'b0),                                                          //               (terminated)
		.av_debugaccess        (1'b0),                                                          //               (terminated)
		.uav_clken             (),                                                              //               (terminated)
		.av_clken              (1'b1)                                                           //               (terminated)
	);

	altera_merlin_slave_translator #(
		.AV_ADDRESS_W                   (3),
		.AV_DATA_W                      (16),
		.UAV_DATA_W                     (16),
		.AV_BURSTCOUNT_W                (1),
		.AV_BYTEENABLE_W                (2),
		.UAV_BYTEENABLE_W               (2),
		.UAV_ADDRESS_W                  (10),
		.UAV_BURSTCOUNT_W               (2),
		.AV_READLATENCY                 (0),
		.USE_READDATAVALID              (0),
		.USE_WAITREQUEST                (0),
		.USE_UAV_CLKEN                  (0),
		.AV_SYMBOLS_PER_WORD            (2),
		.AV_ADDRESS_SYMBOLS             (0),
		.AV_BURSTCOUNT_SYMBOLS          (0),
		.AV_CONSTANT_BURST_BEHAVIOR     (0),
		.UAV_CONSTANT_BURST_BEHAVIOR    (0),
		.AV_REQUIRE_UNALIGNED_ADDRESSES (0),
		.CHIPSELECT_THROUGH_READLATENCY (0),
		.AV_READ_WAIT_CYCLES            (1),
		.AV_WRITE_WAIT_CYCLES           (0),
		.AV_SETUP_WAIT_CYCLES           (0),
		.AV_DATA_HOLD_CYCLES            (0)
	) gpio0_s0_translator (
		.clk                   (clk_clk),                                                             //                      clk.clk
		.reset                 (~reset_reset_n),                                                      //                    reset.reset
		.uav_address           (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_address),       // avalon_universal_slave_0.address
		.uav_burstcount        (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_burstcount),    //                         .burstcount
		.uav_read              (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_read),          //                         .read
		.uav_write             (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_write),         //                         .write
		.uav_waitrequest       (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest),   //                         .waitrequest
		.uav_readdatavalid     (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid), //                         .readdatavalid
		.uav_byteenable        (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_byteenable),    //                         .byteenable
		.uav_readdata          (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_readdata),      //                         .readdata
		.uav_writedata         (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_writedata),     //                         .writedata
		.uav_lock              (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_lock),          //                         .lock
		.uav_debugaccess       (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess),   //                         .debugaccess
		.av_address            (gpio0_s0_translator_avalon_anti_slave_0_address),                     //      avalon_anti_slave_0.address
		.av_write              (gpio0_s0_translator_avalon_anti_slave_0_write),                       //                         .write
		.av_read               (gpio0_s0_translator_avalon_anti_slave_0_read),                        //                         .read
		.av_readdata           (gpio0_s0_translator_avalon_anti_slave_0_readdata),                    //                         .readdata
		.av_writedata          (gpio0_s0_translator_avalon_anti_slave_0_writedata),                   //                         .writedata
		.av_begintransfer      (),                                                                    //              (terminated)
		.av_beginbursttransfer (),                                                                    //              (terminated)
		.av_burstcount         (),                                                                    //              (terminated)
		.av_byteenable         (),                                                                    //              (terminated)
		.av_readdatavalid      (1'b0),                                                                //              (terminated)
		.av_waitrequest        (1'b0),                                                                //              (terminated)
		.av_writebyteenable    (),                                                                    //              (terminated)
		.av_lock               (),                                                                    //              (terminated)
		.av_chipselect         (),                                                                    //              (terminated)
		.av_clken              (),                                                                    //              (terminated)
		.uav_clken             (1'b0),                                                                //              (terminated)
		.av_debugaccess        (),                                                                    //              (terminated)
		.av_outputenable       ()                                                                     //              (terminated)
	);

	altera_merlin_slave_translator #(
		.AV_ADDRESS_W                   (3),
		.AV_DATA_W                      (16),
		.UAV_DATA_W                     (16),
		.AV_BURSTCOUNT_W                (1),
		.AV_BYTEENABLE_W                (2),
		.UAV_BYTEENABLE_W               (2),
		.UAV_ADDRESS_W                  (10),
		.UAV_BURSTCOUNT_W               (2),
		.AV_READLATENCY                 (0),
		.USE_READDATAVALID              (0),
		.USE_WAITREQUEST                (0),
		.USE_UAV_CLKEN                  (0),
		.AV_SYMBOLS_PER_WORD            (2),
		.AV_ADDRESS_SYMBOLS             (0),
		.AV_BURSTCOUNT_SYMBOLS          (0),
		.AV_CONSTANT_BURST_BEHAVIOR     (0),
		.UAV_CONSTANT_BURST_BEHAVIOR    (0),
		.AV_REQUIRE_UNALIGNED_ADDRESSES (0),
		.CHIPSELECT_THROUGH_READLATENCY (0),
		.AV_READ_WAIT_CYCLES            (1),
		.AV_WRITE_WAIT_CYCLES           (0),
		.AV_SETUP_WAIT_CYCLES           (0),
		.AV_DATA_HOLD_CYCLES            (0)
	) gpio1_s0_translator (
		.clk                   (clk_clk),                                                             //                      clk.clk
		.reset                 (~reset_reset_n),                                                      //                    reset.reset
		.uav_address           (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_address),       // avalon_universal_slave_0.address
		.uav_burstcount        (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_burstcount),    //                         .burstcount
		.uav_read              (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_read),          //                         .read
		.uav_write             (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_write),         //                         .write
		.uav_waitrequest       (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest),   //                         .waitrequest
		.uav_readdatavalid     (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid), //                         .readdatavalid
		.uav_byteenable        (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_byteenable),    //                         .byteenable
		.uav_readdata          (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_readdata),      //                         .readdata
		.uav_writedata         (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_writedata),     //                         .writedata
		.uav_lock              (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_lock),          //                         .lock
		.uav_debugaccess       (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess),   //                         .debugaccess
		.av_address            (gpio1_s0_translator_avalon_anti_slave_0_address),                     //      avalon_anti_slave_0.address
		.av_write              (gpio1_s0_translator_avalon_anti_slave_0_write),                       //                         .write
		.av_read               (gpio1_s0_translator_avalon_anti_slave_0_read),                        //                         .read
		.av_readdata           (gpio1_s0_translator_avalon_anti_slave_0_readdata),                    //                         .readdata
		.av_writedata          (gpio1_s0_translator_avalon_anti_slave_0_writedata),                   //                         .writedata
		.av_begintransfer      (),                                                                    //              (terminated)
		.av_beginbursttransfer (),                                                                    //              (terminated)
		.av_burstcount         (),                                                                    //              (terminated)
		.av_byteenable         (),                                                                    //              (terminated)
		.av_readdatavalid      (1'b0),                                                                //              (terminated)
		.av_waitrequest        (1'b0),                                                                //              (terminated)
		.av_writebyteenable    (),                                                                    //              (terminated)
		.av_lock               (),                                                                    //              (terminated)
		.av_chipselect         (),                                                                    //              (terminated)
		.av_clken              (),                                                                    //              (terminated)
		.uav_clken             (1'b0),                                                                //              (terminated)
		.av_debugaccess        (),                                                                    //              (terminated)
		.av_outputenable       ()                                                                     //              (terminated)
	);

	altera_merlin_slave_translator #(
		.AV_ADDRESS_W                   (3),
		.AV_DATA_W                      (16),
		.UAV_DATA_W                     (16),
		.AV_BURSTCOUNT_W                (1),
		.AV_BYTEENABLE_W                (2),
		.UAV_BYTEENABLE_W               (2),
		.UAV_ADDRESS_W                  (10),
		.UAV_BURSTCOUNT_W               (2),
		.AV_READLATENCY                 (0),
		.USE_READDATAVALID              (0),
		.USE_WAITREQUEST                (0),
		.USE_UAV_CLKEN                  (0),
		.AV_SYMBOLS_PER_WORD            (2),
		.AV_ADDRESS_SYMBOLS             (0),
		.AV_BURSTCOUNT_SYMBOLS          (0),
		.AV_CONSTANT_BURST_BEHAVIOR     (0),
		.UAV_CONSTANT_BURST_BEHAVIOR    (0),
		.AV_REQUIRE_UNALIGNED_ADDRESSES (0),
		.CHIPSELECT_THROUGH_READLATENCY (0),
		.AV_READ_WAIT_CYCLES            (1),
		.AV_WRITE_WAIT_CYCLES           (0),
		.AV_SETUP_WAIT_CYCLES           (0),
		.AV_DATA_HOLD_CYCLES            (0)
	) timer0_s0_translator (
		.clk                   (clk_clk),                                                              //                      clk.clk
		.reset                 (~reset_reset_n),                                                       //                    reset.reset
		.uav_address           (timer0_s0_translator_avalon_universal_slave_0_agent_m0_address),       // avalon_universal_slave_0.address
		.uav_burstcount        (timer0_s0_translator_avalon_universal_slave_0_agent_m0_burstcount),    //                         .burstcount
		.uav_read              (timer0_s0_translator_avalon_universal_slave_0_agent_m0_read),          //                         .read
		.uav_write             (timer0_s0_translator_avalon_universal_slave_0_agent_m0_write),         //                         .write
		.uav_waitrequest       (timer0_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest),   //                         .waitrequest
		.uav_readdatavalid     (timer0_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid), //                         .readdatavalid
		.uav_byteenable        (timer0_s0_translator_avalon_universal_slave_0_agent_m0_byteenable),    //                         .byteenable
		.uav_readdata          (timer0_s0_translator_avalon_universal_slave_0_agent_m0_readdata),      //                         .readdata
		.uav_writedata         (timer0_s0_translator_avalon_universal_slave_0_agent_m0_writedata),     //                         .writedata
		.uav_lock              (timer0_s0_translator_avalon_universal_slave_0_agent_m0_lock),          //                         .lock
		.uav_debugaccess       (timer0_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess),   //                         .debugaccess
		.av_address            (timer0_s0_translator_avalon_anti_slave_0_address),                     //      avalon_anti_slave_0.address
		.av_write              (timer0_s0_translator_avalon_anti_slave_0_write),                       //                         .write
		.av_read               (timer0_s0_translator_avalon_anti_slave_0_read),                        //                         .read
		.av_readdata           (timer0_s0_translator_avalon_anti_slave_0_readdata),                    //                         .readdata
		.av_writedata          (timer0_s0_translator_avalon_anti_slave_0_writedata),                   //                         .writedata
		.av_begintransfer      (),                                                                     //              (terminated)
		.av_beginbursttransfer (),                                                                     //              (terminated)
		.av_burstcount         (),                                                                     //              (terminated)
		.av_byteenable         (),                                                                     //              (terminated)
		.av_readdatavalid      (1'b0),                                                                 //              (terminated)
		.av_waitrequest        (1'b0),                                                                 //              (terminated)
		.av_writebyteenable    (),                                                                     //              (terminated)
		.av_lock               (),                                                                     //              (terminated)
		.av_chipselect         (),                                                                     //              (terminated)
		.av_clken              (),                                                                     //              (terminated)
		.uav_clken             (1'b0),                                                                 //              (terminated)
		.av_debugaccess        (),                                                                     //              (terminated)
		.av_outputenable       ()                                                                      //              (terminated)
	);

	altera_merlin_slave_agent #(
		.PKT_DATA_H                (15),
		.PKT_DATA_L                (0),
		.PKT_BEGIN_BURST           (37),
		.PKT_SYMBOL_W              (8),
		.PKT_BYTEEN_H              (17),
		.PKT_BYTEEN_L              (16),
		.PKT_ADDR_H                (27),
		.PKT_ADDR_L                (18),
		.PKT_TRANS_COMPRESSED_READ (28),
		.PKT_TRANS_POSTED          (29),
		.PKT_TRANS_WRITE           (30),
		.PKT_TRANS_READ            (31),
		.PKT_TRANS_LOCK            (32),
		.PKT_SRC_ID_H              (39),
		.PKT_SRC_ID_L              (38),
		.PKT_DEST_ID_H             (41),
		.PKT_DEST_ID_L             (40),
		.PKT_BURSTWRAP_H           (36),
		.PKT_BURSTWRAP_L           (35),
		.PKT_BYTE_CNT_H            (34),
		.PKT_BYTE_CNT_L            (33),
		.PKT_PROTECTION_H          (42),
		.PKT_PROTECTION_L          (42),
		.ST_CHANNEL_W              (3),
		.ST_DATA_W                 (43),
		.AVS_BURSTCOUNT_W          (2),
		.SUPPRESS_0_BYTEEN_CMD     (0),
		.PREVENT_FIFO_OVERFLOW     (1)
	) timer0_s0_translator_avalon_universal_slave_0_agent (
		.clk                     (clk_clk),                                                                        //             clk.clk
		.reset                   (~reset_reset_n),                                                                 //       clk_reset.reset
		.m0_address              (timer0_s0_translator_avalon_universal_slave_0_agent_m0_address),                 //              m0.address
		.m0_burstcount           (timer0_s0_translator_avalon_universal_slave_0_agent_m0_burstcount),              //                .burstcount
		.m0_byteenable           (timer0_s0_translator_avalon_universal_slave_0_agent_m0_byteenable),              //                .byteenable
		.m0_debugaccess          (timer0_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess),             //                .debugaccess
		.m0_lock                 (timer0_s0_translator_avalon_universal_slave_0_agent_m0_lock),                    //                .lock
		.m0_readdata             (timer0_s0_translator_avalon_universal_slave_0_agent_m0_readdata),                //                .readdata
		.m0_readdatavalid        (timer0_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid),           //                .readdatavalid
		.m0_read                 (timer0_s0_translator_avalon_universal_slave_0_agent_m0_read),                    //                .read
		.m0_waitrequest          (timer0_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest),             //                .waitrequest
		.m0_writedata            (timer0_s0_translator_avalon_universal_slave_0_agent_m0_writedata),               //                .writedata
		.m0_write                (timer0_s0_translator_avalon_universal_slave_0_agent_m0_write),                   //                .write
		.rp_endofpacket          (timer0_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket),             //              rp.endofpacket
		.rp_ready                (timer0_s0_translator_avalon_universal_slave_0_agent_rp_ready),                   //                .ready
		.rp_valid                (timer0_s0_translator_avalon_universal_slave_0_agent_rp_valid),                   //                .valid
		.rp_data                 (timer0_s0_translator_avalon_universal_slave_0_agent_rp_data),                    //                .data
		.rp_startofpacket        (timer0_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket),           //                .startofpacket
		.cp_ready                (cmd_xbar_demux_src2_ready),                                                      //              cp.ready
		.cp_valid                (cmd_xbar_demux_src2_valid),                                                      //                .valid
		.cp_data                 (cmd_xbar_demux_src2_data),                                                       //                .data
		.cp_startofpacket        (cmd_xbar_demux_src2_startofpacket),                                              //                .startofpacket
		.cp_endofpacket          (cmd_xbar_demux_src2_endofpacket),                                                //                .endofpacket
		.cp_channel              (cmd_xbar_demux_src2_channel),                                                    //                .channel
		.rf_sink_ready           (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready),         //         rf_sink.ready
		.rf_sink_valid           (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid),         //                .valid
		.rf_sink_startofpacket   (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket), //                .startofpacket
		.rf_sink_endofpacket     (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket),   //                .endofpacket
		.rf_sink_data            (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data),          //                .data
		.rf_source_ready         (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_ready),            //       rf_source.ready
		.rf_source_valid         (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_valid),            //                .valid
		.rf_source_startofpacket (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket),    //                .startofpacket
		.rf_source_endofpacket   (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket),      //                .endofpacket
		.rf_source_data          (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_data),             //                .data
		.rdata_fifo_sink_ready   (timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready),       // rdata_fifo_sink.ready
		.rdata_fifo_sink_valid   (timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid),       //                .valid
		.rdata_fifo_sink_data    (timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data),        //                .data
		.rdata_fifo_src_ready    (timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready),       //  rdata_fifo_src.ready
		.rdata_fifo_src_valid    (timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid),       //                .valid
		.rdata_fifo_src_data     (timer0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data)         //                .data
	);

	altera_avalon_sc_fifo #(
		.SYMBOLS_PER_BEAT    (1),
		.BITS_PER_SYMBOL     (44),
		.FIFO_DEPTH          (2),
		.CHANNEL_WIDTH       (0),
		.ERROR_WIDTH         (0),
		.USE_PACKETS         (1),
		.USE_FILL_LEVEL      (0),
		.EMPTY_LATENCY       (1),
		.USE_MEMORY_BLOCKS   (0),
		.USE_STORE_FORWARD   (0),
		.USE_ALMOST_FULL_IF  (0),
		.USE_ALMOST_EMPTY_IF (0)
	) timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo (
		.clk               (clk_clk),                                                                        //       clk.clk
		.reset             (~reset_reset_n),                                                                 // clk_reset.reset
		.in_data           (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_data),             //        in.data
		.in_valid          (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_valid),            //          .valid
		.in_ready          (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_ready),            //          .ready
		.in_startofpacket  (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket),    //          .startofpacket
		.in_endofpacket    (timer0_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket),      //          .endofpacket
		.out_data          (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data),          //       out.data
		.out_valid         (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid),         //          .valid
		.out_ready         (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready),         //          .ready
		.out_startofpacket (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket), //          .startofpacket
		.out_endofpacket   (timer0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket),   //          .endofpacket
		.csr_address       (2'b00),                                                                          // (terminated)
		.csr_read          (1'b0),                                                                           // (terminated)
		.csr_write         (1'b0),                                                                           // (terminated)
		.csr_readdata      (),                                                                               // (terminated)
		.csr_writedata     (32'b00000000000000000000000000000000),                                           // (terminated)
		.almost_full_data  (),                                                                               // (terminated)
		.almost_empty_data (),                                                                               // (terminated)
		.in_empty          (1'b0),                                                                           // (terminated)
		.out_empty         (),                                                                               // (terminated)
		.in_error          (1'b0),                                                                           // (terminated)
		.out_error         (),                                                                               // (terminated)
		.in_channel        (1'b0),                                                                           // (terminated)
		.out_channel       ()                                                                                // (terminated)
	);

	altera_merlin_slave_agent #(
		.PKT_DATA_H                (15),
		.PKT_DATA_L                (0),
		.PKT_BEGIN_BURST           (37),
		.PKT_SYMBOL_W              (8),
		.PKT_BYTEEN_H              (17),
		.PKT_BYTEEN_L              (16),
		.PKT_ADDR_H                (27),
		.PKT_ADDR_L                (18),
		.PKT_TRANS_COMPRESSED_READ (28),
		.PKT_TRANS_POSTED          (29),
		.PKT_TRANS_WRITE           (30),
		.PKT_TRANS_READ            (31),
		.PKT_TRANS_LOCK            (32),
		.PKT_SRC_ID_H              (39),
		.PKT_SRC_ID_L              (38),
		.PKT_DEST_ID_H             (41),
		.PKT_DEST_ID_L             (40),
		.PKT_BURSTWRAP_H           (36),
		.PKT_BURSTWRAP_L           (35),
		.PKT_BYTE_CNT_H            (34),
		.PKT_BYTE_CNT_L            (33),
		.PKT_PROTECTION_H          (42),
		.PKT_PROTECTION_L          (42),
		.ST_CHANNEL_W              (3),
		.ST_DATA_W                 (43),
		.AVS_BURSTCOUNT_W          (2),
		.SUPPRESS_0_BYTEEN_CMD     (0),
		.PREVENT_FIFO_OVERFLOW     (1)
	) gpio1_s0_translator_avalon_universal_slave_0_agent (
		.clk                     (clk_clk),                                                                       //             clk.clk
		.reset                   (~reset_reset_n),                                                                //       clk_reset.reset
		.m0_address              (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_address),                 //              m0.address
		.m0_burstcount           (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_burstcount),              //                .burstcount
		.m0_byteenable           (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_byteenable),              //                .byteenable
		.m0_debugaccess          (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess),             //                .debugaccess
		.m0_lock                 (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_lock),                    //                .lock
		.m0_readdata             (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_readdata),                //                .readdata
		.m0_readdatavalid        (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid),           //                .readdatavalid
		.m0_read                 (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_read),                    //                .read
		.m0_waitrequest          (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest),             //                .waitrequest
		.m0_writedata            (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_writedata),               //                .writedata
		.m0_write                (gpio1_s0_translator_avalon_universal_slave_0_agent_m0_write),                   //                .write
		.rp_endofpacket          (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket),             //              rp.endofpacket
		.rp_ready                (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_ready),                   //                .ready
		.rp_valid                (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_valid),                   //                .valid
		.rp_data                 (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_data),                    //                .data
		.rp_startofpacket        (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket),           //                .startofpacket
		.cp_ready                (cmd_xbar_demux_src1_ready),                                                     //              cp.ready
		.cp_valid                (cmd_xbar_demux_src1_valid),                                                     //                .valid
		.cp_data                 (cmd_xbar_demux_src1_data),                                                      //                .data
		.cp_startofpacket        (cmd_xbar_demux_src1_startofpacket),                                             //                .startofpacket
		.cp_endofpacket          (cmd_xbar_demux_src1_endofpacket),                                               //                .endofpacket
		.cp_channel              (cmd_xbar_demux_src1_channel),                                                   //                .channel
		.rf_sink_ready           (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready),         //         rf_sink.ready
		.rf_sink_valid           (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid),         //                .valid
		.rf_sink_startofpacket   (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket), //                .startofpacket
		.rf_sink_endofpacket     (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket),   //                .endofpacket
		.rf_sink_data            (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data),          //                .data
		.rf_source_ready         (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_ready),            //       rf_source.ready
		.rf_source_valid         (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_valid),            //                .valid
		.rf_source_startofpacket (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket),    //                .startofpacket
		.rf_source_endofpacket   (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket),      //                .endofpacket
		.rf_source_data          (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_data),             //                .data
		.rdata_fifo_sink_ready   (gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready),       // rdata_fifo_sink.ready
		.rdata_fifo_sink_valid   (gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid),       //                .valid
		.rdata_fifo_sink_data    (gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data),        //                .data
		.rdata_fifo_src_ready    (gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready),       //  rdata_fifo_src.ready
		.rdata_fifo_src_valid    (gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid),       //                .valid
		.rdata_fifo_src_data     (gpio1_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data)         //                .data
	);

	altera_avalon_sc_fifo #(
		.SYMBOLS_PER_BEAT    (1),
		.BITS_PER_SYMBOL     (44),
		.FIFO_DEPTH          (2),
		.CHANNEL_WIDTH       (0),
		.ERROR_WIDTH         (0),
		.USE_PACKETS         (1),
		.USE_FILL_LEVEL      (0),
		.EMPTY_LATENCY       (1),
		.USE_MEMORY_BLOCKS   (0),
		.USE_STORE_FORWARD   (0),
		.USE_ALMOST_FULL_IF  (0),
		.USE_ALMOST_EMPTY_IF (0)
	) gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo (
		.clk               (clk_clk),                                                                       //       clk.clk
		.reset             (~reset_reset_n),                                                                // clk_reset.reset
		.in_data           (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_data),             //        in.data
		.in_valid          (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_valid),            //          .valid
		.in_ready          (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_ready),            //          .ready
		.in_startofpacket  (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket),    //          .startofpacket
		.in_endofpacket    (gpio1_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket),      //          .endofpacket
		.out_data          (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data),          //       out.data
		.out_valid         (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid),         //          .valid
		.out_ready         (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready),         //          .ready
		.out_startofpacket (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket), //          .startofpacket
		.out_endofpacket   (gpio1_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket),   //          .endofpacket
		.csr_address       (2'b00),                                                                         // (terminated)
		.csr_read          (1'b0),                                                                          // (terminated)
		.csr_write         (1'b0),                                                                          // (terminated)
		.csr_readdata      (),                                                                              // (terminated)
		.csr_writedata     (32'b00000000000000000000000000000000),                                          // (terminated)
		.almost_full_data  (),                                                                              // (terminated)
		.almost_empty_data (),                                                                              // (terminated)
		.in_empty          (1'b0),                                                                          // (terminated)
		.out_empty         (),                                                                              // (terminated)
		.in_error          (1'b0),                                                                          // (terminated)
		.out_error         (),                                                                              // (terminated)
		.in_channel        (1'b0),                                                                          // (terminated)
		.out_channel       ()                                                                               // (terminated)
	);

	altera_merlin_slave_agent #(
		.PKT_DATA_H                (15),
		.PKT_DATA_L                (0),
		.PKT_BEGIN_BURST           (37),
		.PKT_SYMBOL_W              (8),
		.PKT_BYTEEN_H              (17),
		.PKT_BYTEEN_L              (16),
		.PKT_ADDR_H                (27),
		.PKT_ADDR_L                (18),
		.PKT_TRANS_COMPRESSED_READ (28),
		.PKT_TRANS_POSTED          (29),
		.PKT_TRANS_WRITE           (30),
		.PKT_TRANS_READ            (31),
		.PKT_TRANS_LOCK            (32),
		.PKT_SRC_ID_H              (39),
		.PKT_SRC_ID_L              (38),
		.PKT_DEST_ID_H             (41),
		.PKT_DEST_ID_L             (40),
		.PKT_BURSTWRAP_H           (36),
		.PKT_BURSTWRAP_L           (35),
		.PKT_BYTE_CNT_H            (34),
		.PKT_BYTE_CNT_L            (33),
		.PKT_PROTECTION_H          (42),
		.PKT_PROTECTION_L          (42),
		.ST_CHANNEL_W              (3),
		.ST_DATA_W                 (43),
		.AVS_BURSTCOUNT_W          (2),
		.SUPPRESS_0_BYTEEN_CMD     (0),
		.PREVENT_FIFO_OVERFLOW     (1)
	) gpio0_s0_translator_avalon_universal_slave_0_agent (
		.clk                     (clk_clk),                                                                       //             clk.clk
		.reset                   (~reset_reset_n),                                                                //       clk_reset.reset
		.m0_address              (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_address),                 //              m0.address
		.m0_burstcount           (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_burstcount),              //                .burstcount
		.m0_byteenable           (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_byteenable),              //                .byteenable
		.m0_debugaccess          (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_debugaccess),             //                .debugaccess
		.m0_lock                 (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_lock),                    //                .lock
		.m0_readdata             (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_readdata),                //                .readdata
		.m0_readdatavalid        (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_readdatavalid),           //                .readdatavalid
		.m0_read                 (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_read),                    //                .read
		.m0_waitrequest          (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_waitrequest),             //                .waitrequest
		.m0_writedata            (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_writedata),               //                .writedata
		.m0_write                (gpio0_s0_translator_avalon_universal_slave_0_agent_m0_write),                   //                .write
		.rp_endofpacket          (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket),             //              rp.endofpacket
		.rp_ready                (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_ready),                   //                .ready
		.rp_valid                (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_valid),                   //                .valid
		.rp_data                 (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_data),                    //                .data
		.rp_startofpacket        (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket),           //                .startofpacket
		.cp_ready                (cmd_xbar_demux_src0_ready),                                                     //              cp.ready
		.cp_valid                (cmd_xbar_demux_src0_valid),                                                     //                .valid
		.cp_data                 (cmd_xbar_demux_src0_data),                                                      //                .data
		.cp_startofpacket        (cmd_xbar_demux_src0_startofpacket),                                             //                .startofpacket
		.cp_endofpacket          (cmd_xbar_demux_src0_endofpacket),                                               //                .endofpacket
		.cp_channel              (cmd_xbar_demux_src0_channel),                                                   //                .channel
		.rf_sink_ready           (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready),         //         rf_sink.ready
		.rf_sink_valid           (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid),         //                .valid
		.rf_sink_startofpacket   (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket), //                .startofpacket
		.rf_sink_endofpacket     (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket),   //                .endofpacket
		.rf_sink_data            (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data),          //                .data
		.rf_source_ready         (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_ready),            //       rf_source.ready
		.rf_source_valid         (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_valid),            //                .valid
		.rf_source_startofpacket (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket),    //                .startofpacket
		.rf_source_endofpacket   (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket),      //                .endofpacket
		.rf_source_data          (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_data),             //                .data
		.rdata_fifo_sink_ready   (gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready),       // rdata_fifo_sink.ready
		.rdata_fifo_sink_valid   (gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid),       //                .valid
		.rdata_fifo_sink_data    (gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data),        //                .data
		.rdata_fifo_src_ready    (gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_ready),       //  rdata_fifo_src.ready
		.rdata_fifo_src_valid    (gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_valid),       //                .valid
		.rdata_fifo_src_data     (gpio0_s0_translator_avalon_universal_slave_0_agent_rdata_fifo_src_data)         //                .data
	);

	altera_avalon_sc_fifo #(
		.SYMBOLS_PER_BEAT    (1),
		.BITS_PER_SYMBOL     (44),
		.FIFO_DEPTH          (2),
		.CHANNEL_WIDTH       (0),
		.ERROR_WIDTH         (0),
		.USE_PACKETS         (1),
		.USE_FILL_LEVEL      (0),
		.EMPTY_LATENCY       (1),
		.USE_MEMORY_BLOCKS   (0),
		.USE_STORE_FORWARD   (0),
		.USE_ALMOST_FULL_IF  (0),
		.USE_ALMOST_EMPTY_IF (0)
	) gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo (
		.clk               (clk_clk),                                                                       //       clk.clk
		.reset             (~reset_reset_n),                                                                // clk_reset.reset
		.in_data           (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_data),             //        in.data
		.in_valid          (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_valid),            //          .valid
		.in_ready          (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_ready),            //          .ready
		.in_startofpacket  (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_startofpacket),    //          .startofpacket
		.in_endofpacket    (gpio0_s0_translator_avalon_universal_slave_0_agent_rf_source_endofpacket),      //          .endofpacket
		.out_data          (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_data),          //       out.data
		.out_valid         (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_valid),         //          .valid
		.out_ready         (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_ready),         //          .ready
		.out_startofpacket (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_startofpacket), //          .startofpacket
		.out_endofpacket   (gpio0_s0_translator_avalon_universal_slave_0_agent_rsp_fifo_out_endofpacket),   //          .endofpacket
		.csr_address       (2'b00),                                                                         // (terminated)
		.csr_read          (1'b0),                                                                          // (terminated)
		.csr_write         (1'b0),                                                                          // (terminated)
		.csr_readdata      (),                                                                              // (terminated)
		.csr_writedata     (32'b00000000000000000000000000000000),                                          // (terminated)
		.almost_full_data  (),                                                                              // (terminated)
		.almost_empty_data (),                                                                              // (terminated)
		.in_empty          (1'b0),                                                                          // (terminated)
		.out_empty         (),                                                                              // (terminated)
		.in_error          (1'b0),                                                                          // (terminated)
		.out_error         (),                                                                              // (terminated)
		.in_channel        (1'b0),                                                                          // (terminated)
		.out_channel       ()                                                                               // (terminated)
	);

	altera_merlin_master_agent #(
		.PKT_PROTECTION_H          (42),
		.PKT_PROTECTION_L          (42),
		.PKT_BEGIN_BURST           (37),
		.PKT_BURSTWRAP_H           (36),
		.PKT_BURSTWRAP_L           (35),
		.PKT_BYTE_CNT_H            (34),
		.PKT_BYTE_CNT_L            (33),
		.PKT_ADDR_H                (27),
		.PKT_ADDR_L                (18),
		.PKT_TRANS_COMPRESSED_READ (28),
		.PKT_TRANS_POSTED          (29),
		.PKT_TRANS_WRITE           (30),
		.PKT_TRANS_READ            (31),
		.PKT_TRANS_LOCK            (32),
		.PKT_DATA_H                (15),
		.PKT_DATA_L                (0),
		.PKT_BYTEEN_H              (17),
		.PKT_BYTEEN_L              (16),
		.PKT_SRC_ID_H              (39),
		.PKT_SRC_ID_L              (38),
		.PKT_DEST_ID_H             (41),
		.PKT_DEST_ID_L             (40),
		.ST_DATA_W                 (43),
		.ST_CHANNEL_W              (3),
		.AV_BURSTCOUNT_W           (2),
		.SUPPRESS_0_BYTEEN_RSP     (0),
		.ID                        (0),
		.BURSTWRAP_VALUE           (3)
	) cpu_avm_m0_translator_avalon_universal_master_0_agent (
		.clk              (clk_clk),                                                                //       clk.clk
		.reset            (~reset_reset_n),                                                         // clk_reset.reset
		.av_address       (cpu_avm_m0_translator_avalon_universal_master_0_address),                //        av.address
		.av_write         (cpu_avm_m0_translator_avalon_universal_master_0_write),                  //          .write
		.av_read          (cpu_avm_m0_translator_avalon_universal_master_0_read),                   //          .read
		.av_writedata     (cpu_avm_m0_translator_avalon_universal_master_0_writedata),              //          .writedata
		.av_readdata      (cpu_avm_m0_translator_avalon_universal_master_0_readdata),               //          .readdata
		.av_waitrequest   (cpu_avm_m0_translator_avalon_universal_master_0_waitrequest),            //          .waitrequest
		.av_readdatavalid (cpu_avm_m0_translator_avalon_universal_master_0_readdatavalid),          //          .readdatavalid
		.av_byteenable    (cpu_avm_m0_translator_avalon_universal_master_0_byteenable),             //          .byteenable
		.av_burstcount    (cpu_avm_m0_translator_avalon_universal_master_0_burstcount),             //          .burstcount
		.av_debugaccess   (cpu_avm_m0_translator_avalon_universal_master_0_debugaccess),            //          .debugaccess
		.av_lock          (cpu_avm_m0_translator_avalon_universal_master_0_lock),                   //          .lock
		.cp_valid         (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_valid),         //        cp.valid
		.cp_data          (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_data),          //          .data
		.cp_startofpacket (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_startofpacket), //          .startofpacket
		.cp_endofpacket   (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_endofpacket),   //          .endofpacket
		.cp_ready         (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_ready),         //          .ready
		.rp_valid         (rsp_xbar_mux_src_valid),                                                 //        rp.valid
		.rp_data          (rsp_xbar_mux_src_data),                                                  //          .data
		.rp_channel       (rsp_xbar_mux_src_channel),                                               //          .channel
		.rp_startofpacket (rsp_xbar_mux_src_startofpacket),                                         //          .startofpacket
		.rp_endofpacket   (rsp_xbar_mux_src_endofpacket),                                           //          .endofpacket
		.rp_ready         (rsp_xbar_mux_src_ready)                                                  //          .ready
	);

	qsys_core_addr_router addr_router (
		.sink_ready         (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_ready),         //      sink.ready
		.sink_valid         (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_valid),         //          .valid
		.sink_data          (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_data),          //          .data
		.sink_startofpacket (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_startofpacket), //          .startofpacket
		.sink_endofpacket   (cpu_avm_m0_translator_avalon_universal_master_0_agent_cp_endofpacket),   //          .endofpacket
		.clk                (clk_clk),                                                                //       clk.clk
		.reset              (~reset_reset_n),                                                         // clk_reset.reset
		.src_ready          (addr_router_src_ready),                                                  //       src.ready
		.src_valid          (addr_router_src_valid),                                                  //          .valid
		.src_data           (addr_router_src_data),                                                   //          .data
		.src_channel        (addr_router_src_channel),                                                //          .channel
		.src_startofpacket  (addr_router_src_startofpacket),                                          //          .startofpacket
		.src_endofpacket    (addr_router_src_endofpacket)                                             //          .endofpacket
	);

	qsys_core_id_router id_router (
		.sink_ready         (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_ready),         //      sink.ready
		.sink_valid         (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_valid),         //          .valid
		.sink_data          (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_data),          //          .data
		.sink_startofpacket (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket), //          .startofpacket
		.sink_endofpacket   (gpio0_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket),   //          .endofpacket
		.clk                (clk_clk),                                                             //       clk.clk
		.reset              (~reset_reset_n),                                                      // clk_reset.reset
		.src_ready          (id_router_src_ready),                                                 //       src.ready
		.src_valid          (id_router_src_valid),                                                 //          .valid
		.src_data           (id_router_src_data),                                                  //          .data
		.src_channel        (id_router_src_channel),                                               //          .channel
		.src_startofpacket  (id_router_src_startofpacket),                                         //          .startofpacket
		.src_endofpacket    (id_router_src_endofpacket)                                            //          .endofpacket
	);

	qsys_core_id_router id_router_001 (
		.sink_ready         (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_ready),         //      sink.ready
		.sink_valid         (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_valid),         //          .valid
		.sink_data          (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_data),          //          .data
		.sink_startofpacket (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket), //          .startofpacket
		.sink_endofpacket   (gpio1_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket),   //          .endofpacket
		.clk                (clk_clk),                                                             //       clk.clk
		.reset              (~reset_reset_n),                                                      // clk_reset.reset
		.src_ready          (id_router_001_src_ready),                                             //       src.ready
		.src_valid          (id_router_001_src_valid),                                             //          .valid
		.src_data           (id_router_001_src_data),                                              //          .data
		.src_channel        (id_router_001_src_channel),                                           //          .channel
		.src_startofpacket  (id_router_001_src_startofpacket),                                     //          .startofpacket
		.src_endofpacket    (id_router_001_src_endofpacket)                                        //          .endofpacket
	);

	qsys_core_id_router id_router_002 (
		.sink_ready         (timer0_s0_translator_avalon_universal_slave_0_agent_rp_ready),         //      sink.ready
		.sink_valid         (timer0_s0_translator_avalon_universal_slave_0_agent_rp_valid),         //          .valid
		.sink_data          (timer0_s0_translator_avalon_universal_slave_0_agent_rp_data),          //          .data
		.sink_startofpacket (timer0_s0_translator_avalon_universal_slave_0_agent_rp_startofpacket), //          .startofpacket
		.sink_endofpacket   (timer0_s0_translator_avalon_universal_slave_0_agent_rp_endofpacket),   //          .endofpacket
		.clk                (clk_clk),                                                              //       clk.clk
		.reset              (~reset_reset_n),                                                       // clk_reset.reset
		.src_ready          (id_router_002_src_ready),                                              //       src.ready
		.src_valid          (id_router_002_src_valid),                                              //          .valid
		.src_data           (id_router_002_src_data),                                               //          .data
		.src_channel        (id_router_002_src_channel),                                            //          .channel
		.src_startofpacket  (id_router_002_src_startofpacket),                                      //          .startofpacket
		.src_endofpacket    (id_router_002_src_endofpacket)                                         //          .endofpacket
	);

	qsys_core_cmd_xbar_demux cmd_xbar_demux (
		.clk                (clk_clk),                           //       clk.clk
		.reset              (~reset_reset_n),                    // clk_reset.reset
		.sink_ready         (addr_router_src_ready),             //      sink.ready
		.sink_channel       (addr_router_src_channel),           //          .channel
		.sink_data          (addr_router_src_data),              //          .data
		.sink_startofpacket (addr_router_src_startofpacket),     //          .startofpacket
		.sink_endofpacket   (addr_router_src_endofpacket),       //          .endofpacket
		.sink_valid         (addr_router_src_valid),             //          .valid
		.src0_ready         (cmd_xbar_demux_src0_ready),         //      src0.ready
		.src0_valid         (cmd_xbar_demux_src0_valid),         //          .valid
		.src0_data          (cmd_xbar_demux_src0_data),          //          .data
		.src0_channel       (cmd_xbar_demux_src0_channel),       //          .channel
		.src0_startofpacket (cmd_xbar_demux_src0_startofpacket), //          .startofpacket
		.src0_endofpacket   (cmd_xbar_demux_src0_endofpacket),   //          .endofpacket
		.src1_ready         (cmd_xbar_demux_src1_ready),         //      src1.ready
		.src1_valid         (cmd_xbar_demux_src1_valid),         //          .valid
		.src1_data          (cmd_xbar_demux_src1_data),          //          .data
		.src1_channel       (cmd_xbar_demux_src1_channel),       //          .channel
		.src1_startofpacket (cmd_xbar_demux_src1_startofpacket), //          .startofpacket
		.src1_endofpacket   (cmd_xbar_demux_src1_endofpacket),   //          .endofpacket
		.src2_ready         (cmd_xbar_demux_src2_ready),         //      src2.ready
		.src2_valid         (cmd_xbar_demux_src2_valid),         //          .valid
		.src2_data          (cmd_xbar_demux_src2_data),          //          .data
		.src2_channel       (cmd_xbar_demux_src2_channel),       //          .channel
		.src2_startofpacket (cmd_xbar_demux_src2_startofpacket), //          .startofpacket
		.src2_endofpacket   (cmd_xbar_demux_src2_endofpacket)    //          .endofpacket
	);

	qsys_core_rsp_xbar_demux rsp_xbar_demux (
		.clk                (clk_clk),                           //       clk.clk
		.reset              (~reset_reset_n),                    // clk_reset.reset
		.sink_ready         (id_router_src_ready),               //      sink.ready
		.sink_channel       (id_router_src_channel),             //          .channel
		.sink_data          (id_router_src_data),                //          .data
		.sink_startofpacket (id_router_src_startofpacket),       //          .startofpacket
		.sink_endofpacket   (id_router_src_endofpacket),         //          .endofpacket
		.sink_valid         (id_router_src_valid),               //          .valid
		.src0_ready         (rsp_xbar_demux_src0_ready),         //      src0.ready
		.src0_valid         (rsp_xbar_demux_src0_valid),         //          .valid
		.src0_data          (rsp_xbar_demux_src0_data),          //          .data
		.src0_channel       (rsp_xbar_demux_src0_channel),       //          .channel
		.src0_startofpacket (rsp_xbar_demux_src0_startofpacket), //          .startofpacket
		.src0_endofpacket   (rsp_xbar_demux_src0_endofpacket)    //          .endofpacket
	);

	qsys_core_rsp_xbar_demux rsp_xbar_demux_001 (
		.clk                (clk_clk),                               //       clk.clk
		.reset              (~reset_reset_n),                        // clk_reset.reset
		.sink_ready         (id_router_001_src_ready),               //      sink.ready
		.sink_channel       (id_router_001_src_channel),             //          .channel
		.sink_data          (id_router_001_src_data),                //          .data
		.sink_startofpacket (id_router_001_src_startofpacket),       //          .startofpacket
		.sink_endofpacket   (id_router_001_src_endofpacket),         //          .endofpacket
		.sink_valid         (id_router_001_src_valid),               //          .valid
		.src0_ready         (rsp_xbar_demux_001_src0_ready),         //      src0.ready
		.src0_valid         (rsp_xbar_demux_001_src0_valid),         //          .valid
		.src0_data          (rsp_xbar_demux_001_src0_data),          //          .data
		.src0_channel       (rsp_xbar_demux_001_src0_channel),       //          .channel
		.src0_startofpacket (rsp_xbar_demux_001_src0_startofpacket), //          .startofpacket
		.src0_endofpacket   (rsp_xbar_demux_001_src0_endofpacket)    //          .endofpacket
	);

	qsys_core_rsp_xbar_demux rsp_xbar_demux_002 (
		.clk                (clk_clk),                               //       clk.clk
		.reset              (~reset_reset_n),                        // clk_reset.reset
		.sink_ready         (id_router_002_src_ready),               //      sink.ready
		.sink_channel       (id_router_002_src_channel),             //          .channel
		.sink_data          (id_router_002_src_data),                //          .data
		.sink_startofpacket (id_router_002_src_startofpacket),       //          .startofpacket
		.sink_endofpacket   (id_router_002_src_endofpacket),         //          .endofpacket
		.sink_valid         (id_router_002_src_valid),               //          .valid
		.src0_ready         (rsp_xbar_demux_002_src0_ready),         //      src0.ready
		.src0_valid         (rsp_xbar_demux_002_src0_valid),         //          .valid
		.src0_data          (rsp_xbar_demux_002_src0_data),          //          .data
		.src0_channel       (rsp_xbar_demux_002_src0_channel),       //          .channel
		.src0_startofpacket (rsp_xbar_demux_002_src0_startofpacket), //          .startofpacket
		.src0_endofpacket   (rsp_xbar_demux_002_src0_endofpacket)    //          .endofpacket
	);

	qsys_core_rsp_xbar_mux rsp_xbar_mux (
		.clk                 (clk_clk),                               //       clk.clk
		.reset               (~reset_reset_n),                        // clk_reset.reset
		.src_ready           (rsp_xbar_mux_src_ready),                //       src.ready
		.src_valid           (rsp_xbar_mux_src_valid),                //          .valid
		.src_data            (rsp_xbar_mux_src_data),                 //          .data
		.src_channel         (rsp_xbar_mux_src_channel),              //          .channel
		.src_startofpacket   (rsp_xbar_mux_src_startofpacket),        //          .startofpacket
		.src_endofpacket     (rsp_xbar_mux_src_endofpacket),          //          .endofpacket
		.sink0_ready         (rsp_xbar_demux_src0_ready),             //     sink0.ready
		.sink0_valid         (rsp_xbar_demux_src0_valid),             //          .valid
		.sink0_channel       (rsp_xbar_demux_src0_channel),           //          .channel
		.sink0_data          (rsp_xbar_demux_src0_data),              //          .data
		.sink0_startofpacket (rsp_xbar_demux_src0_startofpacket),     //          .startofpacket
		.sink0_endofpacket   (rsp_xbar_demux_src0_endofpacket),       //          .endofpacket
		.sink1_ready         (rsp_xbar_demux_001_src0_ready),         //     sink1.ready
		.sink1_valid         (rsp_xbar_demux_001_src0_valid),         //          .valid
		.sink1_channel       (rsp_xbar_demux_001_src0_channel),       //          .channel
		.sink1_data          (rsp_xbar_demux_001_src0_data),          //          .data
		.sink1_startofpacket (rsp_xbar_demux_001_src0_startofpacket), //          .startofpacket
		.sink1_endofpacket   (rsp_xbar_demux_001_src0_endofpacket),   //          .endofpacket
		.sink2_ready         (rsp_xbar_demux_002_src0_ready),         //     sink2.ready
		.sink2_valid         (rsp_xbar_demux_002_src0_valid),         //          .valid
		.sink2_channel       (rsp_xbar_demux_002_src0_channel),       //          .channel
		.sink2_data          (rsp_xbar_demux_002_src0_data),          //          .data
		.sink2_startofpacket (rsp_xbar_demux_002_src0_startofpacket), //          .startofpacket
		.sink2_endofpacket   (rsp_xbar_demux_002_src0_endofpacket)    //          .endofpacket
	);

endmodule
